Subject: bug#4953: 23.1.50; Dired does not deal well with xz-compressed files

From: Sven Joachim <[email-masked]>
Date: Thu, 19 Nov 2009 08:55:56 +0100

On 2009-11-19 08:42 +0100, Glenn Morris wrote:

> Sven Joachim wrote:
>
>> - dired-do-compress on file.xz produces file.xz.gz instead of file
>
> OK, I added an unxz entry to dired-compress-file-suffixes.

Thanks.

>> - dired-do-shell-command does not offer anything for file.tar.xz
>
> I don't know what this means. M-x dired-do-shell-command for
> foo.tar.gz doesn't seem to do anything special.

You need to load dired-x first (Info "(dired-x) Shell Command Guessing").

Sven